"use strict";
var module = require('./module.js');
var Client = (function () {
    function Client(host, port, username, password, account, cacertPath) {
        if (cacertPath === void 0) { cacertPath = null; }
        this.internalClient = module(host, port, username, password, account, cacertPath);
    }
    Client.prototype.ConnectInternal = function (onConnectedCallback, onErrorCallback) {
        this.internalClient.connect(onConnectedCallback, onErrorCallback);
    };
    Client.prototype.Connect = function () {
        var _this = this;
        var result = new Promise(function (resolve, reject) {
            _this.ConnectInternal(resolve, reject);
        });
        return result;
    };
    Client.prototype.ExecuteInternal = function (sql, params, onCompletedCallback, onErrorCallback) {
        if (sql == null) {
            throw new Error("sql cannot be null");
        }
        this.internalClient.execute(sql, params, onCompletedCallback, onErrorCallback);
    };
    Client.prototype.Execute = function (sql, params) {
        var _this = this;
        var result = new Promise(function (resolve, reject) {
            _this.ExecuteInternal(sql, params, resolve, reject);
        });
        return result;
    };
    Client.prototype.DisconnectInternal = function (onDisconnectedCallback, onErrorCallback) {
        if (onErrorCallback === void 0) { onErrorCallback = null; }
        this.internalClient.disconnect(onDisconnectedCallback, onErrorCallback);
    };
    Client.prototype.Disconnect = function () {
        var _this = this;
        var result = new Promise(function (resolve, reject) {
            _this.DisconnectInternal(resolve, reject);
        });
        return result;
    };
    return Client;
}());
exports.Client = Client;
