

# connect-bridge-node

This module allows to access data of Microsoft Dynamics CRM, Microsoft SharePoint and
Microsoft Exchange (and others) via a commercial integration tool called [Connect Bridge](http://www.connecting-software.com).

Technically the module is a wrapper around a proprietary rest 
service of an integration tool called Connect Bridge Server.

## Usage
```
var cbnode = require('connect-bridge-node')('pg.connecting-software.com', 4433, 'youruser', 'yourpassword', 'your_cb_account');

function onError(err) {
    console.error(err);
}

function onConnected() {
    console.log('connected to Connect Bridge');
	//if connected to i.e. Exchange account, you can query the appointments like this...
    cbnode.execute("select * from Appointment;", [], onResult, onError);        
}

function onDisconnected() {
    console.log('disconnected');
}

function onResult(result)
{
    console.log(result);
    cbnode.disconnect(onDisconnected, onError);
}

cbnode.connect(onConnected, onError);


```

## Developing



### Tools

Created with [Nodeclipse](https://github.com/Nodeclipse/nodeclipse-1)
 ([Eclipse Marketplace](http://marketplace.eclipse.org/content/nodeclipse), [site](http://www.nodeclipse.org))   

Nodeclipse is free open-source project that grows with your contributions.
